OpenNMS API 1.2.9

## org.opennms.netmgt.poller
Class IfKey

    java.lang.Object
      org.opennms.netmgt.poller.IfKey

public class IfKey
extends java.lang.Object

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`private java.lang.String` `m_ipAddr`
`private int` `m_nodeId`

Constructor Summary
`IfKey(int nodeId, java.lang.String ipAddr)`

Method Summary
`java.lang.String` `getIpAddr()`
`int` `getNodeId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_nodeId

    private int m_nodeId

### m_ipAddr

    private java.lang.String m_ipAddr

Constructor Detail

### IfKey

    public IfKey(int nodeId,
                 java.lang.String ipAddr)

Method Detail

### getNodeId

    public int getNodeId()

### getIpAddr

    public java.lang.String getIpAddr()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.